﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata;
using System;

namespace Performance.EntityModels
{
    public partial class PerformanceDbContext : DbContext
    {
        public PerformanceDbContext(DbContextOptions<PerformanceDbContext> options)
            : base(options)
        {
        }

        public virtual DbSet<sys_user> Sys_User { get; set; }
        public virtual DbSet<sys_hospital> Sys_Hospital { get; set; }
        public virtual DbSet<sys_sms> Sys_Sms { get; set; }
        public virtual DbSet<sys_user_hospital> Sys_User_Hospital { get; set; }
        public virtual DbSet<sys_menu> Sys_Menu { get; set; }
        public virtual DbSet<sys_role> Sys_Role { get; set; }
        public virtual DbSet<sys_role_menu> Sys_Role_Menu { get; set; }
        public virtual DbSet<sys_user_role> Sys_User_Role { get; set; }
        public virtual DbSet<per_allot> Per_Allot { get; set; }
        public virtual DbSet<per_sheet> Per_Sheet { get; set; }
        public virtual DbSet<im_employee> Im_Employee { get; set; }
        public virtual DbSet<im_header> Im_Header { get; set; }
        public virtual DbSet<im_data> Im_Data { get; set; }
        public virtual DbSet<im_accountbasic> Im_AccountBasic { get; set; }
        public virtual DbSet<res_accountdoctor> Res_Accountdoctor { get; set; }
        public virtual DbSet<res_accountnurse> Res_Accountnurse { get; set; }
        public virtual DbSet<cof_drugprop> Cof_DrugProp { get; set; }
        public virtual DbSet<cof_income> Cof_Income { get; set; }
        public virtual DbSet<cof_director> Cof_Director { get; set; }
        public virtual DbSet<res_baiscnorm> Res_Baiscnorm { get; set; }
        public virtual DbSet<res_compute> Res_Compute { get; set; }
        public virtual DbSet<cof_position> Cof_Position { get; set; }
        public virtual DbSet<cof_workyear> Cof_Workyear { get; set; }
    }
}
